<!--
    Theme capabilities for theme-engine-examples-es-de
-->

<themeCapabilities>
    <themeName>Theme engine examples</themeName>

    <aspectRatio>16:9</aspectRatio>
    <aspectRatio>4:3</aspectRatio>

    <colorScheme name="dark">
        <label>Dark</label>
    </colorScheme>

    <colorScheme name="light">
        <label>Light</label>
    </colorScheme>

    <transitions name="slide">
        <label>slide</label>
        <selectable>true</selectable>
        <systemToSystem>slide</systemToSystem>
        <systemToGamelist>slide</systemToGamelist>
        <gamelistToGamelist>slide</gamelistToGamelist>
        <gamelistToSystem>slide</gamelistToSystem>
    </transitions>

    <transitions name="instant">
        <label>instant</label>
        <selectable>true</selectable>
        <systemToSystem>instant</systemToSystem>
        <systemToGamelist>instant</systemToGamelist>
        <gamelistToGamelist>instant</gamelistToGamelist>
        <gamelistToSystem>instant</gamelistToSystem>
        <startupToSystem>slide</startupToSystem>
        <startupToGamelist>slide</startupToGamelist>
    </transitions>

    <transitions name="fade">
        <label>fade</label>
        <selectable>true</selectable>
        <systemToSystem>fade</systemToSystem>
        <systemToGamelist>fade</systemToGamelist>
        <gamelistToGamelist>fade</gamelistToGamelist>
        <gamelistToSystem>fade</gamelistToSystem>
        <startupToSystem>slide</startupToSystem>
        <startupToGamelist>slide</startupToGamelist>
    </transitions>

    <transitions name="fadeAndSlide">
        <selectable>false</selectable>
        <systemToSystem>fade</systemToSystem>
        <systemToGamelist>slide</systemToGamelist>
        <gamelistToGamelist>slide</gamelistToGamelist>
        <gamelistToSystem>slide</gamelistToSystem>
        <startupToSystem>slide</startupToSystem>
    </transitions>

    <transitions name="instantAndSlide">
        <selectable>false</selectable>
        <systemToSystem>instant</systemToSystem>
        <systemToGamelist>slide</systemToGamelist>
        <gamelistToGamelist>slide</gamelistToGamelist>
        <gamelistToSystem>slide</gamelistToSystem>
        <startupToSystem>slide</startupToSystem>
    </transitions>

    <suppressTransitionProfiles>
        <entry>builtin-instant</entry>
        <entry>builtin-slide</entry>
        <entry>builtin-fade</entry>
    </suppressTransitionProfiles>

    <variant name="variant01">
        <label>01 - Horizontal carousel and textlist</label>
        <selectable>true</selectable>
    </variant>

    <variant name="variant02">
        <label>02 - System view game info and wheel carousels</label>
        <selectable>true</selectable>
    </variant>

    <variant name="variant03">
        <label>03 - Textlist and vertical carousel</label>
        <selectable>true</selectable>
    </variant>

    <variant name="variant04">
        <label>04 - Textlist and carousel with reflections</label>
        <selectable>true</selectable>
    </variant>

    <variant name="variant05">
        <label>05 - System and gamelist grids</label>
        <selectable>true</selectable>
    </variant>

    <variant name="variant06">
        <label>06 - GIF and Lottie animations</label>
        <selectable>true</selectable>
    </variant>
</themeCapabilities>